import { HttpRequest, HttpResponse } from "@reactive-js/http";
import { ObservableLike } from "@reactive-js/observable";
import { Operator } from "@reactive-js/pipe";
export declare type HttpRoutedRequest<T> = HttpRequest<T> & {
    readonly params: {
        readonly [param: string]: string;
    };
};
export declare type HttpRequestRouterHandler<TReq, TResp> = Operator<HttpRoutedRequest<TReq>, ObservableLike<HttpResponse<TResp>>>;
export declare const createRouter: <TReq, TResp>(routes: {
    [path: string]: Operator<HttpRoutedRequest<TReq>, ObservableLike<HttpResponse<TResp>>>;
}, notFoundHandler: Operator<HttpRequest<TReq>, ObservableLike<HttpResponse<TResp>>>) => Operator<HttpRequest<TReq>, ObservableLike<HttpResponse<TResp>>>;
